@echo off
rename coact.exe ololo.ololo
cd src
for %%i in (*.~dpr *.dof *.dsk *.cfg *.in *.out *.a *.obj ?? *.class *.log *.desc *.exe) do del %%i
pushd ..
for %%i in (*.~dpr *.dof *.dsk *.cfg *.in *.out *.a *.obj ?? *.class *.log *.desc Check.jar *.exe) do del %%i
popd
cd ..
rename ololo.ololo coact.exe
pushd tests
	del ?? ??.a
popd
rmdir /S /Q tests
rmdir /S /Q preliminary